From 9eaa309ed43a2471265f9fa0c58f2e5951e7d627 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 20:28:25 +0800
Subject: [PATCH 02/28] base.cfg: add kbd for vm in the base.cfg

Add kbd device for qemu testcases

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 shared/cfg/base.cfg | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/shared/cfg/base.cfg b/shared/cfg/base.cfg
index 3a61015e..4a6fa0a2 100644
--- a/shared/cfg/base.cfg
+++ b/shared/cfg/base.cfg
@@ -115,13 +115,14 @@ usb_type_usb1 = ich9-usb-ehci1
 usb_max_port = 6
 
 # USB device object names (whitespace separated)
-usb_devices = tablet1
+usb_devices = tablet1 kbd1
 # USB device type, run following command to see device list on your host.
 # `qemu-kvm -device \? 2>&1 | grep "bus USB"`
 usb_type_tablet1 = usb-tablet
+usb_type_kbd1 = usb-kbd
 # USB Controller type which device uses.
 usb_controller = ehci
-usb_bus = usb1.0
+usb_bus = usb2.0
 #use xhci as the default controller on ppc platform.
 pseries:
     usb_controller = xhci
-- 
2.23.0

